/****** General ***********/
* {
    font-family: 'Raleway', sans-serif;
    margin : 0;
    padding : 0;
}

:root {
    --main-color: #0065FC;
    --main-bg-color: #F2F2F2;
    --filter-bg-color: #DEEBFF;
}

.fa-solid {
    color: var(--main-color);
}

body {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 35px;
    align-self: stretch;
    display: grid;
    max-width: 100%;
}

.hebergements, 
.info-groupe,
.activites {
    padding: 0 50px;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

figure {
    margin: 0;
}

img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
}

.main-container {
    max-width: 1440px;
    box-sizing: border-box;
}

a {
    color: #000;
    text-decoration: none;
}

.section-title {
    margin: 0;
    font-size: 22px;
}

.card {
    background-color: white;
    border-radius: 20px;
    padding: 5px;
    filter: drop-shadow(0px 3px 15px rgba(0, 0, 0, 0.1));
}

.card img {
    object-fit: cover;
}

.card-title {
    font-size: 16px;
}

.euro {
    font-weight: 700;
}

.neutral-star {
    color: var(--main-bg-color)
}

/* Header */
header {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    align-self: stretch;
    width: 100%;
    box-sizing: border-box;
    align-content: space-around;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 30px;
}

header img {
    width: 61.09px;
    height: 19px;
    display: flex;
    padding: 30px 50px;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

header nav {
    display: flex;
    justify-content: space-between;
    width: 100%;
    flex-direction: row;
    align-content: stretch;
    align-items: center;
}

header nav ul {
    display: flex;
    justify-content: space-evenly;
    gap: 68px;
    flex-direction: row;
    padding: 0px 50px;
    align-items: center;
}

header a:hover {
    color: var(--main-color);
    border-top: 5px solid var(--main-color);
}

header a {
    padding-top: 28px;

}

header button {
    border: none;
    background-color: white;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
}

.info-groupe{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 35px;
    align-self: stretch;
}

.info{
    display: flex;
    flex-direction: column;
    gap: 8px;
}

header form{
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: stretch;
    width: 100%;
    height: 49px;

}

input {
    border: 1px solid #F2F2F2;
    width: 220px;
    height: 49px;
    font-size: 18px;
    font-weight: 700;
    outline: none;
    text-align: center;
}

form button {
    background-color: var(--main-color);
    color: white;
    border: 1px;
    border-radius: 0 15px 15px 0;
    height: 49px;
    font-size: 18px;
    font-weight: 700;
    cursor: pointer;
    padding: 15px 16px;
    gap: 10px;
}

.fa-location-dot {
    color: black;
    background-color: #F2F2F2;
    width: 50px;
    height: 49px;
    border-radius: 15px 0 0 15px;
    border: 1px solid #F2F2F2;
    font-size : 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Filters */
.filters {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.filters ul {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.filters button {
    border: 2px solid #D9D9D9;
    border-radius: 25px;
    padding: 8px 15px;
    font-size: 12px;
    font-weight: 700;
    cursor: pointer;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
}

.filters button:hover {
    background-color: var(--filter-bg-color);
}

.fa-info{
    color: var(--main-color);
    border: 1px solid #D9D9D9;
    border-radius: 50%;
    padding: 5px;
    font-size: 12px;
    width: 15px;
    height: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.info-groupe p{
    display: flex;
    align-items: center;
    gap: 10px;
}

/****** Hebergements And Populaires ***********/
.hebergements-and-populaires {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    margin: 0 50px;
}

.hebergements-and-populaires section {
    background-color: var(--main-bg-color);
    border-radius: 20px;
    padding: 30px;
    box-sizing: border-box;
    height: auto;
    margin-top: 35px;

}

/****** Hebergements ***********/
.hebergements {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    gap: 30px;
}

.hebergements img {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    height: 124px;
}

.hebergements > figure {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    box-sizing: border-box;
    gap: 30px;
}

.hebergements .card{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 5px;
    background-color: white;
    border-radius: 20px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
    cursor: pointer;
    gap: 4px;
}

figcaption{
    display: flex;
    flex-direction: column;
    gap: 5px;
    box-sizing: border-box;
    padding: 5px;
    height: 100%;
    width: 100%;
}

.hebergements p{
    font-weight: 700;
    cursor: pointer;
    gap: 8px;
}

.hebergements figcaption p {
    font-weight: 100;
}

.hebergements a {
    width: calc((100% - 60px) / 3);
}

/****** Populaires ***********/
.populaires {
    width: 32%;
}

.populaires-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.populaires-cards .card {
    display: flex;
    margin-top: 33px;
}

.populaires-cards img {
    width: 33%;
    height: 136px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.populaires-cards .card-content {
    width: 67%;
    padding-left: 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box;
}

.populaires-cards .card-title {
    margin-top: 10px;
    margin-bottom: 4px;
}

.populaires-cards .card-subtitle {
    margin: 0;
}

.populaires-cards .card-rating {
    margin-bottom: 5px;
}

/*activités*/

.activites {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 35px;
    margin-bottom: 35px;
}

.activites img {
    width: 100%;
    height: 380px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    cursor: pointer;
}

.activites .card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box;
    height: auto;
    width: 100%;
    background-color: white;
    border-radius: 20px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
    cursor: pointer;
    padding: 0;
}

.activites figcaption{
    font-weight: 700;
    cursor: pointer;
    padding: 20px
}

.activites ul{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    gap: 30px;
    height: 100%;
    box-sizing: border-box;
}

/* footer */

footer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    background-color: var(--main-bg-color);
    margin : 0 50px;

}

footer ul{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    gap: 30px;
    height: 100%;
    box-sizing: border-box;
}

footer li {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

footer section{
    padding: 20px;
    width: 100%;
    height: 100%;
}

footer a {
    text-decoration: none;
    color: black;
}

footer h2{
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 15px;
}

/* Requetes pour les versions mobiles */


/* Le code ci-dessous correspond à la version responsive uniquement */

/****** Media queries ***********/
/* Medium devices (tablets, less/equal than 1024px) */
@media (max-width: 1024px) {
    .hebergements-and-populaires {
        flex-direction: column;
    }

    .hebergements {
        width: 100%;
    }

    .populaires {
        width: 100%;
        margin-top: 50px;
    }

    .populaires-cards {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .populaires-cards a {
        width: 30%;
    }

    .populaires-cards .card-title {
        font-size: 14px;
    }

    .populaires-cards .card-subtitle {
        font-size: 13px;
    }
    .activites img {
        height: 200px;
    }

    .filters {
        flex-direction: column;
    }
}


/* Small devices (phones, less than 768px) */
@media (max-width: 767.98px) {

    header nav {
        flex-direction: column;
    }

    
    header a{
        padding-bottom: 15px;
    }

    header a:hover {
        border-top: none;
        border-bottom: 3px solid var(--main-color);
    }

    .info{
        gap: 8px;
    }

    .info-groupe {
        padding: 0 20px;
    }

    .info-groupe p {
        margin : 0;
    }

    header form {
        width: 100%;
    }

    header form button {
        font-size: 0;
        padding: 0;
        visibility: hidden;
    }

    header form button::after {
        content: "\f002";
        font-family: "Font Awesome 5 Free";
        font-weight: 900; 
        font-size: 24px; 
        visibility: visible;
        background-color: var(--main-color);
        color: white;
        width: 50px;
        height: 49px;
        border-radius: 15px;
        border: 1px solid #F2F2F2;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: -20px;
    }

    .filters ul {
        display: flex;

    }

    .filters li {
        width: calc((100% - 15px) / 2);
    }
    
    .filters button {
        height: 50px;
        width: 100%;
    }
    
    .hebergements-and-populaires{
        display: flex;
        flex-direction: column-reverse;
        gap: 30px;
        margin: 0;
    }
    
    .populaires{
        margin-top: 35px;
    }
    
    .populaires-cards{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 15px;
    }
    
    .populaires-cards .card{
        margin-top: 0;
        width: 100%;
        height: 138px;
    }

    .populaires-cards a{
        width: 100%;
    }
    
    .populaires-title {
        margin-bottom: 15px;
    }

    .hebergements{
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .hebergements figure{
        display: flex;
        flex-direction: column;
        gap: 15px;
        width: 100%;
    }

    .hebergements figcaption p{
        font-weight: 14;
    }

    .hebergements-and-populaires section{
        border-radius: 0;
        width: 100%;
    }

    .hebergements-and-populaires  .hebergements {
        background-color: transparent;
    }

    .hebergements figcaption{
        padding: 4px;
    }

    .hebergements a{
        width: 100%;
    }

    .activites {
        margin: 0 0 35px 0;
        padding: 30px;
    }

    .activites ul{
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .activites .card{
        width: 100%;
    }

    footer{
        display: flex;
        flex-direction: column;
        gap: 15px;
        margin: 0;
    }

    header input {
        width: 100%;
    }

    header nav ul {
        padding: 0;
        width: 100%;
        gap: 0;
    }

    nav li {
        width: 50%;
    }

    nav a {
        width: 100%;
        display: block;
        border-bottom: 3px solid transparent;
        text-align: center;
        padding-top: 0;
    }
}